summaryrefslogtreecommitdiffstats
path: root/system/zpaq
diff options
context:
space:
mode:
author Christoph Willing2013-05-16 04:27:07 +0200
committer Robby Workman2013-06-04 07:11:07 +0200
commit11e1e38b39a6e9fdd59d0b93093ae1090519bcad (patch)
treec3b2782c7efe817c8819042d974c78dd2820e11e /system/zpaq
parent1a11d13423151b32fbfb0dab4618cdb0336c12f0 (diff)
downloadslackbuilds-11e1e38b39a6e9fdd59d0b93093ae1090519bcad.tar.gz
system/zpaq: Added (journaling, incremental, deduplicating archiver)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/zpaq')
-rw-r--r--system/zpaq/README15
-rw-r--r--system/zpaq/slack-desc20
-rw-r--r--system/zpaq/zpaq.SlackBuild102
-rw-r--r--system/zpaq/zpaq.info10
-rw-r--r--system/zpaq/zpaq.rst.gzbin0 -> 6899 bytes
5 files changed, 147 insertions, 0 deletions
diff --git a/system/zpaq/README b/system/zpaq/README
new file mode 100644
index 0000000000..28415000f4
--- /dev/null
+++ b/system/zpaq/README
@@ -0,0 +1,15 @@
+zpaq is a journaling, incremental, deduplicating archiver for Windows
+and Linux.
+
+"Journaling" means that when you update a file or directory, both the
+old and new versions are saved. You can extract from the archive as it
+existed at any time in the past. "Incremental", means that when you back
+up your entire hard drive, for example with:
+
+ zpaq -add e:backup.zpaq c:\*
+
+only those files whose last-modified date has changed since the previous
+backup are added. For 100 GB of files, this typically takes 1-2 minutes,
+vs. a few hours to create the first version. "Deduplicating" means that
+identical files or fragments are stored only once to save time and space.
+
diff --git a/system/zpaq/slack-desc b/system/zpaq/slack-desc
new file mode 100644
index 0000000000..9c8a60e25a
--- /dev/null
+++ b/system/zpaq/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zpaq: zpaq (journaling, incremental, deduplicating archiver)
+zpaq:
+zpaq: "Journaling" means that when you update a file or directory, both the
+zpaq: old and new versions are saved. You can extract from the archive as it
+zpaq: existed at any time in the past.
+zpaq: "Incremental" means that when you back up your entire hard drive, only
+zpaq: those files whose last-modified date has changed since the previous
+zpaq: backup are added.
+zpaq: "Deduplicating" means that identical files or fragments are stored
+zpaq: only once to save time and space.
+zpaq:
+
diff --git a/system/zpaq/zpaq.SlackBuild b/system/zpaq/zpaq.SlackBuild
new file mode 100644
index 0000000000..ae554573d6
--- /dev/null
+++ b/system/zpaq/zpaq.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for zpaq
+
+# Copyright 2013, Christoph Willing, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zpaq
+VERSION=${VERSION:-6.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O3 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O3 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O3 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O3"
+ LIBDIRSUFFIX=""
+fi
+
+set -ev
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/${PRGNAM}${VERSION/./}.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+g++ \
+ $SLKCFLAGS -s -Dunix -DNDEBUG -fopenmp -o $PRGNAM \
+ zpaq.cpp \
+ libzpaq.cpp \
+ divsufsort.c
+
+mkdir -p $PKG/usr/bin
+install -m 0755 $PRGNAM $PKG/usr/bin/
+
+mkdir -p $PKG/usr/man/man1
+gzip -dc $CWD/$PRGNAM.rst.gz | rst2man.py >$PKG/usr/man/man1/$PRGNAM.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+gzip -dc $CWD/$PRGNAM.rst.gz > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.rst
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/zpaq/zpaq.info b/system/zpaq/zpaq.info
new file mode 100644
index 0000000000..49db35dc5a
--- /dev/null
+++ b/system/zpaq/zpaq.info
@@ -0,0 +1,10 @@
+PRGNAM="zpaq"
+VERSION="6.25"
+HOMEPAGE="http://mattmahoney.net/dc/zpaq.html"
+DOWNLOAD="http://mattmahoney.net/dc/zpaq625.zip"
+MD5SUM="f961a43ea29e88ffc3dd92dfc1f9dedc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="docutils"
+MAINTAINER="Christoph Willing"
+EMAIL="c.willing@uq.edu.au"
diff --git a/system/zpaq/zpaq.rst.gz b/system/zpaq/zpaq.rst.gz
new file mode 100644
index 0000000000..8bbc5585cd
--- /dev/null
+++ b/system/zpaq/zpaq.rst.gz
Binary files differ